Subject: RFC2518 issue: PROPPATCH response codes for protected properties

From: "Julian Reschke" <[email-masked]>
Date: Tue, 12 Nov 2002 19:07:24 +0100

In 8.2.1 [1],  RFC2518 states:

403 (Forbidden) - The client, for reasons the server chooses not to specify,
cannot alter one of the properties.

409 (Conflict) - The client has provided a value whose semantics are not
appropriate for the property. This includes trying to set read-only
properties.

I think the entry for 409 is just plain wrong -- if a property is read-only
("protected" in deltaV speak), than there's no point in retrying, thus 409
seems to be the wrong choice (it should be 403, possibly with DAV:error in
DAV:reponsedescription).

Is anybody relying on 409 rather than 403?

Julian

[1] <http://greenbytes.de/tech/webdav/rfc2518.html#rfc.section.8.2.1>
--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760